Building Pfsense 2.1 ISO



  • hi all
    when i want to build pfsense 2.1-development iso in freebsd 8.3 , these errors occur:

    
    cp: /usr/local/pfsense-fs/lib/libthr.so.3: Operation not permitted
    cp: /usr/local/pfsense-fs/lib/libc.so.7: Operation not permitted
    cp: /usr/local/pfsense-fs/lib/libc.so.7: Operation not permitted
    cp: /usr/local/pfsense-fs/lib/libc.so.7: Operation not permitted
    cp: /usr/local/pfsense-fs/lib/libc.so.7: Operation not permitted
    cp: /usr/local/pfsense-fs/lib/libc.so.7: Operation not permitted
    cp: /usr/local/pfsense-fs/lib/libc.so.7: Operation not permitted
    cp: /usr/local/pfsense-fs/lib/libc.so.7: Operation not permitted
    cp: /usr/local/pfsense-fs/lib/libc.so.7: Operation not permitted
    ...
    
    

    this is my pfsense-build.conf file contents:

    
    export PFSENSE_VERSION=2.1-DEVELOPMENT
    export FREEBSD_VERSION=8
    export FREEBSD_BRANCH=RELENG_8_3
    export PFSENSETAG=HEAD
    export PFSPATCHFILE=/home/pfsense/tools/builder_scripts/../builder_scripts/patches.RELENG_8_3
    export PFSPATCHDIR=/home/pfsense/tools/builder_scripts/../patches/RELENG_8_3
    export SUPFILE=/home/pfsense/tools/builder_scripts/../builder_scripts/RELENG_8_3-supfile
    export CUSTOM_COPY_LIST=/home/pfsense/tools/builder_scripts/../builder_scripts/copy.list.RELENG_2_1
    
    

    why these errors occur?
    how can i resolve the problem?

    Thanks in advance



  • No answer?



  • This is far more than normal would do so just anybody can't give you an answer and 6 hours between question and bump. You might need payed support, if you like to be fast on this topic.


  • Rebel Alliance Developer Netgate

    Those are harmless, nothing to worry about, not hurting anything.

    The build process is trying to ensure all the right libraries are present and some operations fail because the files have had chflags noschg applied.



  • Thank you jimp


Log in to reply